> ## Documentation Index
> Fetch the complete documentation index at: https://docs.affinda.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://docs.affinda.com/feedback

```json
{
  "path": "/reference/metadata",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Metadata

> Reference for field and document metadata returned in the Affinda API response, including bounding boxes, page numbers, parsed values, and confidence scores.

In addition to the specific data extracted from the documents, the API response includes field- and document-level metadata to assist with document processing.

## Field-level metadata

<ResponseField name="id" type="string">
  Identifier associated with the specific data point
</ResponseField>

<ResponseField name="rectangle" type="object">
  x/y coordinates for the rectangular bounding box containing the data
</ResponseField>

<ResponseField name="pageIndex" type="number">
  The page that the data is found on
</ResponseField>

<ResponseField name="raw" type="string">
  Raw data extracted before any processing and formatting
</ResponseField>

<ResponseField name="confidence" type="number">
  Overall confidence that the extracted data is correct
</ResponseField>

<ResponseField name="classificationConfidence" type="number">
  Confidence that the model classified the data correctly
</ResponseField>

<ResponseField name="textExtractionConfidence" type="number">
  Confidence that text was correctly extracted from the document
</ResponseField>

<ResponseField name="isVerified" type="boolean">
  Indicates whether the data has been validated by any means
</ResponseField>

<ResponseField name="isClientVerified" type="boolean">
  Indicates whether the data has been validated by a human
</ResponseField>

<ResponseField name="isAutoVerified" type="boolean">
  Indicates whether the data was auto-validated
</ResponseField>

<ResponseField name="dataPoint" type="string" deprecated="true">
  Unique identifier associated with this data field
</ResponseField>

<ResponseField name="contentType" type="enum">
  Type of data (text, date, date-time, enum, location, float or decimal)
</ResponseField>

<ResponseField name="parsed" type="string">
  Parsed data after post-processing and mapping
</ResponseField>

## Document-level metadata

<ResponseField name="identifier" type="string">
  Unique identifier for the document (can be supplied on upload)
</ResponseField>

<ResponseField name="fileName" type="string">
  Optional file name of the document
</ResponseField>

<ResponseField name="ready" type="boolean">
  True when the document has finished processing
</ResponseField>

<ResponseField name="readyDt" type="date-time">
  Date-time when the document became ready
</ResponseField>

<ResponseField name="failed" type="boolean">
  True if an exception occurred during processing
</ResponseField>

<ResponseField name="expiryTime" type="date-time">
  ISO-8601 date-time when the document will be auto-deleted
</ResponseField>

<ResponseField name="language" type="string">
  The document’s language
</ResponseField>

<ResponseField name="pdf" type="string">
  URL to the PDF version of the document
</ResponseField>

<ResponseField name="parentDocument.identifier" type="string">
  Identifier of the original document if this one was split
</ResponseField>

<ResponseField name="childDocuments.identifier" type="string">
  Identifiers of child documents if this one was split further
</ResponseField>

<ResponseField name="pages" type="number">
  Total number of pages
</ResponseField>

<ResponseField name="isOcrd" type="boolean">
  Whether OCR was applied to extract text
</ResponseField>

<ResponseField name="ocrConfidence" type="number">
  Overall confidence in OCR text extraction
</ResponseField>

<ResponseField name="reviewUrl" type="string">
  Signed URL (60 min) for human review
</ResponseField>

<ResponseField name="extractor" type="string" deprecated="true">
  Extractor (AI model) associated with the collection
</ResponseField>

<ResponseField name="collection" type="string" deprecated="true">
  Collection that the document belongs to
</ResponseField>

<ResponseField name="workspace" type="string">
  Workspace containing the collection and document
</ResponseField>

<ResponseField name="archivedDt" type="date-time">
  When the document was archived
</ResponseField>

<ResponseField name="isArchived" type="boolean">
  Whether the document is archived
</ResponseField>

<ResponseField name="confirmedDt" type="date-time">
  When the document was confirmed
</ResponseField>

<ResponseField name="isConfirmed" type="boolean">
  Whether the document is confirmed
</ResponseField>

<ResponseField name="rejectedDt" type="date-time">
  When the document was rejected
</ResponseField>

<ResponseField name="isRejected" type="boolean">
  Whether the document is rejected
</ResponseField>

<ResponseField name="createdDt" type="date-time">
  When the document was created in Affinda
</ResponseField>

<ResponseField name="errorCode" type="string">
  Error code if processing fails.
</ResponseField>

<ResponseField name="errorDetail" type="string">
  Error detail if processing fails.
</ResponseField>

<ResponseField name="file" type="string">
  URL to view the original file
</ResponseField>

<ResponseField name="tags" type="string">
  Tags applied to the document
</ResponseField>

<ResponseField name="confirmedBy" type="string">
  User who last confirmed the document
</ResponseField>

<ResponseField name="archivedBy" type="string">
  User who last archived the document
</ResponseField>

<ResponseField name="sourceEmail" type="string">
  Email file URL if the document was created via email ingestion
</ResponseField>
